solverf_plan_double Struct Reference

data structure for an inverse NFFT plan with float precision More...

`#include <nfft3.h>`

Collaboration diagram for solverf_plan_double:
[legend]

## Data Fields

nfftf_mv_plan_double * | mv
| matrix vector multiplication
unsigned | flags
| iteration type
float * | w
| weighting factors
float * | w_hat
| damping factors
float * | y
| right hand side, samples
float * | f_hat_iter
| iterative solution
float * | r_iter
| iterated residual vector
float * | z_hat_iter
| residual of normal equation of first kind
float * | p_hat_iter
| search direction
float * | v_iter
| residual vector update
float | alpha_iter
| step size for search direction
float | beta_iter
| step size for search correction
float | dot_r_iter
| weighted dotproduct of r_iter
float | dot_r_iter_old
| previous dot_r_iter
float | dot_z_hat_iter
| weighted dotproduct of z_hat_iter
float | dot_z_hat_iter_old
| previous dot_z_hat_iter
float | dot_p_hat_iter
| weighted dotproduct of p_hat_iter
float | dot_v_iter
| weighted dotproduct of v_iter

## Detailed Description

data structure for an inverse NFFT plan with float precision

Definition at line 795 of file nfft3.h.

## Field Documentation

## mv

nfftf_mv_plan_double* solverf_plan_double::mv

matrix vector multiplication

Definition at line 795 of file nfft3.h.

## flags

unsigned solverf_plan_double::flags

iteration type

Definition at line 795 of file nfft3.h.

## w

float* solverf_plan_double::w

weighting factors

Definition at line 795 of file nfft3.h.

## w_hat

float* solverf_plan_double::w_hat

damping factors

Definition at line 795 of file nfft3.h.

## y

float* solverf_plan_double::y

right hand side, samples

Definition at line 795 of file nfft3.h.

## f_hat_iter

float* solverf_plan_double::f_hat_iter

iterative solution

Definition at line 795 of file nfft3.h.

## r_iter

float* solverf_plan_double::r_iter

iterated residual vector

Definition at line 795 of file nfft3.h.

## z_hat_iter

float* solverf_plan_double::z_hat_iter

residual of normal equation of first kind

Definition at line 795 of file nfft3.h.

## p_hat_iter

float* solverf_plan_double::p_hat_iter

search direction

Definition at line 795 of file nfft3.h.

## v_iter

float* solverf_plan_double::v_iter

residual vector update

Definition at line 795 of file nfft3.h.

## alpha_iter

float solverf_plan_double::alpha_iter

step size for search direction

Definition at line 795 of file nfft3.h.

## beta_iter

float solverf_plan_double::beta_iter

step size for search correction

Definition at line 795 of file nfft3.h.

## dot_r_iter

float solverf_plan_double::dot_r_iter

weighted dotproduct of r_iter

Definition at line 795 of file nfft3.h.

## dot_r_iter_old

float solverf_plan_double::dot_r_iter_old

previous dot_r_iter

Definition at line 795 of file nfft3.h.

## dot_z_hat_iter

float solverf_plan_double::dot_z_hat_iter

weighted dotproduct of z_hat_iter

Definition at line 795 of file nfft3.h.

## dot_z_hat_iter_old

float solverf_plan_double::dot_z_hat_iter_old

previous dot_z_hat_iter

Definition at line 795 of file nfft3.h.

## dot_p_hat_iter

float solverf_plan_double::dot_p_hat_iter

weighted dotproduct of p_hat_iter

Definition at line 795 of file nfft3.h.

## dot_v_iter

float solverf_plan_double::dot_v_iter

weighted dotproduct of v_iter

Definition at line 795 of file nfft3.h.

The documentation for this struct was generated from the following file:

- nfft3.h